Name:           python-django-listable
Version:        0.9.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A reusable Django app to make integrations with the DataTables javascript library easy.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/randlet/django-listable
Source:         %{pypi_source django_listable}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'django-listable' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-django-listable
Summary:        %{summary}

%description -n python3-django-listable %_description


%prep
%autosetup -p1 -n django_listable-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-django-listable -f %{pyproject_files}


%changelog
%autochangelog